/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.batch.engine.model;

import java.sql.Blob;

/**
 * The Blob model class for lazy loading the content column in BatchEngineExportTask.
 *
 * @author Shuyang Zhou
 * @see BatchEngineExportTask
 * @generated
 */
public class BatchEngineExportTaskContentBlobModel {

	public BatchEngineExportTaskContentBlobModel() {
	}

	public BatchEngineExportTaskContentBlobModel(long batchEngineExportTaskId) {
		_batchEngineExportTaskId = batchEngineExportTaskId;
	}

	public BatchEngineExportTaskContentBlobModel(
		long batchEngineExportTaskId, Blob contentBlob) {

		_batchEngineExportTaskId = batchEngineExportTaskId;
		_contentBlob = contentBlob;
	}

	public long getBatchEngineExportTaskId() {
		return _batchEngineExportTaskId;
	}

	public void setBatchEngineExportTaskId(long batchEngineExportTaskId) {
		_batchEngineExportTaskId = batchEngineExportTaskId;
	}

	public Blob getContentBlob() {
		return _contentBlob;
	}

	public void setContentBlob(Blob contentBlob) {
		_contentBlob = contentBlob;
	}

	private long _batchEngineExportTaskId;
	private Blob _contentBlob;

}