/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.batch.engine.model;

import java.sql.Blob;

/**
 * The Blob model class for lazy loading the content column in BatchEngineImportTask.
 *
 * @author Shuyang Zhou
 * @see BatchEngineImportTask
 * @generated
 */
public class BatchEngineImportTaskContentBlobModel {

	public BatchEngineImportTaskContentBlobModel() {
	}

	public BatchEngineImportTaskContentBlobModel(long batchEngineImportTaskId) {
		_batchEngineImportTaskId = batchEngineImportTaskId;
	}

	public BatchEngineImportTaskContentBlobModel(
		long batchEngineImportTaskId, Blob contentBlob) {

		_batchEngineImportTaskId = batchEngineImportTaskId;
		_contentBlob = contentBlob;
	}

	public long getBatchEngineImportTaskId() {
		return _batchEngineImportTaskId;
	}

	public void setBatchEngineImportTaskId(long batchEngineImportTaskId) {
		_batchEngineImportTaskId = batchEngineImportTaskId;
	}

	public Blob getContentBlob() {
		return _contentBlob;
	}

	public void setContentBlob(Blob contentBlob) {
		_contentBlob = contentBlob;
	}

	private long _batchEngineImportTaskId;
	private Blob _contentBlob;

}